Update an existing field. Every field is optional — only sent fields change
curl --request PATCH \
--url https://api.usehasp.com/v1/projects/{project}/schemas/{entity}/fields/{field} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"constraints": [
"<string>"
],
"phi_flag": true,
"position": 1
}
'import requests
url = "https://api.usehasp.com/v1/projects/{project}/schemas/{entity}/fields/{field}"
payload = {
"name": "<string>",
"constraints": ["<string>"],
"phi_flag": True,
"position": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', constraints: ['<string>'], phi_flag: true, position: 1})
};
fetch('https://api.usehasp.com/v1/projects/{project}/schemas/{entity}/fields/{field}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
"<unknown>"
]
}{
"success": false,
"error": {
"type": "authentication",
"code": "INVALID_API_KEY",
"message": "Bearer token is missing, malformed, or revoked.",
"param": null,
"details": null,
"retryable": false,
"request_id": "01JQREQ7XZQK5N6PZ1VVXHYB8T"
},
"meta": {
"request_id": "01JQREQ7XZQK5N6PZ1VVXHYB8T"
}
}{
"success": false,
"error": {
"type": "permission",
"code": "MISSING_SCOPE",
"message": "The caller is authenticated but lacks the scope or capability this route requires.",
"param": null,
"details": null,
"retryable": false,
"request_id": "01JQREQ7XZQK5N6PZ1VVXHYB8T"
},
"meta": {
"request_id": "01JQREQ7XZQK5N6PZ1VVXHYB8T"
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Schema
Update an existing field. Every field is optional — only sent fields change
PATCH /v1/projects//schemas//fields/
PATCH
/
projects
/
{project}
/
schemas
/
{entity}
/
fields
/
{field}
Update an existing field. Every field is optional — only sent fields change
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The project slug
The entity slug
The field ID
Body
application/json
Response
⌘I